Subject: Re: [RFC v2 0/2] ptp: Move non-NIC PHC drivers from netdev to clock/timekeeping maintainership

From: Jakub Kicinski <[email-masked]>
Date: Thu, 5 Mar 2026 18:41:10 -0800

On Fri, 27 Feb 2026 20:25:11 +0800 Wen Gu wrote:
> As mentioned in RFC v1, the use cases for drivers in the emulated PHC category
> are expected to be quite diverse, and not limited to the virtualization/guest
> time sync use case. For example, existing drivers such as ptp_ocp [1] and
> upcoming ones such as mhi_phc [2] are not related to virtualization use cases.

ptp_ocp is a real PCIe device with an atomic clock. mhi_phc is some
qualcomm fw-defined thing, so more closely mapping what you're doing.
ptp_ocp should probably stay under netdev, we maintain DPLL drivers,
too. Main thing we/I don't want to deal with is all the corporate NIH
virtualization excreta.